/*
 * Tpg300Error.h
 *
 *  Created on: Jul 17, 2012
 *      Author: mdm
 */

#ifndef TPG300ERROR_H_
#define TPG300ERROR_H_

#include <tango.h>
#include <Tpg300Task.h>

namespace Tpg300_ns
{

class Tpg300Proxy;

class Tpg300Error : public Tpg300Task
{
public:
	Tpg300Error(Tpg300Proxy*);
	virtual ~Tpg300Error() {};

public:
	void update();
	virtual Tango::DevState get_state();
	virtual std::string get_status();

protected:
	virtual Tango::DevState parse_state(std::string);
	virtual std::string parse_status(std::string);

private:
    Tango::DevState state;
    std::string status;
    Tpg300Proxy* proxy;
    omni_mutex mutex;

};

}


#endif /* TPG300ERROR_H_ */
